Package com.orchestranetworks.userservice.declaration

# Interface ActivationContextOnRecord

All Superinterfaces:
  `ActivationContext<RecordEntitySelection>`, `ActivationContextWithDatasetSet<RecordEntitySelection>`, `ActivationContextWithSchemaNodeSet<RecordEntitySelection>`, `DatasetSet`, `DataspaceSet`

public interface ActivationContextOnRecord extends ActivationContextWithSchemaNodeSet<RecordEntitySelection>
Provides a context to define the activation scope and permission rules for a user service being declared on a record level. Please refer to ActivationContext documentation for more information about the user service activation.

By default, the service is activated on all records in all datasets in all opened non-technical branches in the repository.

In this context, the schema nodes used to define the activation are table nodes in the data model.

Since:
  5.8.0
See Also:
  - `UserServiceDeclaration.defineActivation(ActivationContext)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.schema.types.dataset.DatasetSet

  `DatasetSet.DatasetChildrenPolicy`

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.schema.types.dataspace.DataspaceSet

  `DataspaceSet.DataspaceChildrenPolicy, DataspaceSet.DataspaceType`

- ## Method Summary

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContext

  `getAvailableToolbarLocations, setDefaultPermission, setDisplayForAllLocations, setDisplayForLocations, setPermissionRule`

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContextWithDatasetSet

  `getDataModelRootNode, setActivationRule`

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContextWithSchemaNodeSet

  `excludeSchemaNodesMatching, excludeSchemaNodesMatching, includeAllSchemaNodes, includeSchemaNodesMatching, includeSchemaNodesMatching`

  ### Methods inherited from interface com.orchestranetworks.schema.types.dataset.DatasetSet

  `excludeDatasetsMatching, excludeDatasetsMatching, includeAllDatasets, includeDatasetsMatching, includeDatasetsMatching`

  ### Methods inherited from interface com.orchestranetworks.schema.types.dataspace.DataspaceSet

  `excludeDataspacesMatching, excludeDataspacesMatching, includeAllDataspaces, includeDataspacesMatching, includeDataspacesMatching, setIgnoreDataspacesDefaultExcludes`